QGIS Application - Bug report #19218
[Processing] if dlg.wasExecuted() error
2018-06-18 07:01 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GUI

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27047
Description

| can't tell what particularly triggers this issue but when | open many processing dialogs and then close them, | get the attached error
message.
Just annoying...

Associated revisions

Revision 6c014b46 - 2018-07-04 06:37 PM - Nyall Dawson

[processing] Use c++ recent algorithm log, remove python log

Indirectly fixes #19218

History

#1 - 2018-06-18 10:12 PM - Nyall Dawson
- Status changed from Open to Feedback

Got an example?

#2 - 2018-06-20 06:13 PM - Harrissou Santanna
- Status changed from Feedback to Open

Trying several combinations, I'm sure it has not to do with a particular algorithm.

But i think it has to do with my platform (windows 10) and how I close the algs dialog:

place the cursor over QGIS icon on the Windows status bar and using the dialogs preview, close them one by one.
When the last alg dialog is closed, | get the Python error shown above.

It does not occur if only one alg was opened.

#3 - 2018-07-04 06:36 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|6c014b46babf8f22bcd0208fbd6043ddbfd6d0da.
